Provide a "delete" link on Special:Brokenredirects
Closed, ResolvedPublic

Description

Author: cohesion

Description:
The Special page Broken redirects has a button for each one to edit the page.
This is not needed for anything, but a link to delete the page would be very
helpful. It could work exactly the same way, just go to action=delete rather
than action=edit.


Version: unspecified
Severity: enhancement

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz8522.
bzimport created this task.Via LegacyJan 7 2007, 8:29 PM
bzimport added a comment.Via ConduitJan 7 2007, 8:31 PM

robchur wrote:

I think it would be a good idea to keep the edit link, as it might be that the
redirect can be fixed to point to an appropriate location.

Showing a delete link for users with the appropriate permission seems like a
sensible enough option, though.

bzimport added a comment.Via ConduitJan 7 2007, 8:42 PM

cohesion wrote:

Sure, that would be fine :) On enwiki people should still check the page since
the report isn't live, but for other wikis this would be very useful.

bzimport added a comment.Via ConduitJan 14 2007, 10:01 PM

robchur wrote:

Fixed in r19262.

garas added a comment.Via ConduitJan 15 2007, 9:45 AM

Created attachment 3073
Patch

(delete) link did not work for me

also redirect=no parameter is not required for edit link

Attached: brokenredirs.patch

bzimport added a comment.Via ConduitJan 15 2007, 9:52 AM

robchur wrote:

Fixed in r19291.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.